Unit tiis4r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IIS3R_p, IIS4R_p;

function tiis4r: String;

implementation

function tiis4r: String;
var
NX,I,M,_i,IERR :Integer;
Y :Array [0..4] of Real;
BPAR :Array [0..3] of Real;
C :Array [0..11] of Real;
S :Array [0..7] of Real;
const
X :Array [0..4] of Real = ( 1.0,2.0,3.0,4.0,5.0 );
U :Array [0..7] of Real = ( 1.5,4.5,3.0,4.9,2.1,4.0,2.7,1.8 );
label
_5;
begin
Result := '';  {   }
NX := 5;
for I:=1 to NX do
 begin
  Y[I-1] := ((X[I-1]-4.0)*X[I-1]-1.0)*X[I-1]+5.0;
_5:
 end;
BPAR[0] := 1.0;
BPAR[1] := 6.0/(X[1]-X[0])*((Y[1]-Y[0])/(X[1]-X[0])+6.0);
BPAR[2] := 1.0;
BPAR[3] := 6.0/(X[4]-X[3])*(34.0-(Y[4]-Y[3])/(X[4]-X[3]));
IIS3R(X,Y,NX,BPAR,C,IERR);
M := 8;
IIS4R(X,Y,NX,C,U,S,M,IERR);
Result := Result + Format(' %3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' S=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[S[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tiis4r',Result);  {     tiis4r.res }
exit;
end;

end.
